{% extends 'base.html' %}
{% block content %}
{%load static%}
{% load crispy_forms_tags %}

<h1 class="mb-5" >Welcome {{user.username}}</h1>
<div class="bg-white shadow rounded-lg d-block d-sm-flex">
    <div class="profile-tab-nav border-right">
        <div class="p-4">
            <div class="img-circle text-center mb-3">
                <!-- <form method="POST" enctype="multipart/form-data">{% csrf_token %}
                    
                </form> -->
                {%if user.profile.avatar%}
                    <img src="{{user.profile.avatar.url}}" alt="Image" class="rounded-circle article-img img">
                {%endif%}
            </div>
            <h4 class="text-center">{{user.profile.first_name}} {{user.profile.last_name}}</h4>
        </div>
        <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
            <a class="nav-link active" id="account-tab" data-toggle="pill" href="#account" role="tab" aria-controls="account" aria-selected="true">
                <i class="fa fa-home text-center mr-1"></i> 
                Account
            </a>
            <a class="nav-link" id="password-tab" data-toggle="pill" href="#password" role="tab" aria-controls="password" aria-selected="false">
                <i class="fa fa-key text-center mr-1"></i> 
                Password
            </a>
            <a class="nav-link" id="add_user-tab" data-toggle="pill" href="#add_user" role="tab" aria-controls="add_user" aria-selected="false">
                <i class="fa fa-user text-center mr-1"></i> 
                Add Employee
            </a>
        </div>
    </div>
    <div class="tab-content p-4 p-md-5" id="v-pills-tabContent">
        <div class="tab-pane fade show active" id="account" role="tabpanel" aria-labelledby="account-tab">
            <h3 class="mb-4">Account Settings</h3>
                <div class="row">
                    <div class="col-md-12">
                        <!-- <div class="form-group"> -->
                            <label>First Name</label>
                            <input type="text" class="form-control" value="{{user.profile.first_name}}">
                        <!-- </div> -->
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Last Name</label>
                            <input type="text" class="form-control" value="{{user.profile.last_name}}">
                        </div>
                    </div>
                </div>
            <div>
                <button class="btn btn-primary">Update</button>
                <button class="btn btn-light">Cancel</button>
            </div>
        </div>
        <div class="tab-pane fade" id="password" role="tabpanel" aria-labelledby="password-tab">
            <h3 class="mb-4">Password Settings</h3>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                            <label>Old password</label>
                            <input type="password" class="form-control">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                            <label>New password</label>
                            <input type="password" class="form-control">
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                            <label>Confirm new password</label>
                            <input type="password" class="form-control">
                    </div>
                </div>
            </div>
            <div>
                <button class="btn btn-primary">Update</button>
                <button class="btn btn-light">Cancel</button>
            </div>
        </div> 
        <div class="tab-pane fade" id="add_user" role="tabpanel" aria-labelledby="add_user-tab">
            <h3 class="mb-4">Add Employee</h3>
            <form method="POST" class="form-group" >{% csrf_token %}
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                                {{form.username | as_crispy_field}}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                                {{form.email | as_crispy_field}}
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                                {{form.password1 | as_crispy_field}}
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                                {{form.password2 | as_crispy_field}}
                        </div>
                    </div>
                </div>

                <div>
                    <button type="submit" class="btn btn-primary">Add</button>
                    <button class="btn btn-light">Cancel</button>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}